#!/bin/bash

#compile with mpicc -O2 -I ~/ETH/liblsb/build/include -o pi_parallel pi_parallel_bench.c -L ~/ETH/liblsb/build/lib -llsb -lpapi -lm -Wl,-rpath,/home/salvo/ETH/liblsb/build/lib/

rm data/*
for P in 2 4 8 16 32; do
    export LSB_OUTFILE="pi_data_$P"
    echo "Running with P=$P"
    mpirun -n $P ./pi_parallel > /dev/null
done

mkdir -p data
mv lsb.pi_data_* data/

#plot with R -f plots.R
